Bug 587915 - Review Request: perl-Dir-Self - A __DIR__ constant for the directory your source file is in
Summary: Review Request: perl-Dir-Self - A __DIR__ constant for the directory your sou...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Dir-Self/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-01 14:47 UTC by Iain Arnell
Modified: 2016-08-14 16:23 UTC (History)
3 users (show)

Fixed In Version: perl-Dir-Self-0.10-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-19 19:11:33 UTC
emmanuel: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-05-01 14:47:32 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Dir-Self.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Dir-Self-0.10-1.fc14.src.rpm

Description:
Perl has two pseudo-constants describing the current location in your
source code, __FILE__ and __LINE__. This module adds __DIR__, which expands
to the directory your source file is in, as an absolute pathname.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2153530

*rt-0.10_01

Comment 1 Emmanuel Seyman 2010-05-02 20:29:54 UTC
Taking.

Comment 2 Emmanuel Seyman 2010-05-02 20:44:28 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2156273

 [x] Rpmlint output:
perl-Dir-Self.src: W: spelling-error %description -l en_US pathname -> path name, path-name, pathfinder
perl-Dir-Self.noarch: W: spelling-error %description -l en_US pathname -> path name, path-name, pathfinder
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
ec6e6588d9caa5a20d1ba090be42c8ee  Dir-Self-0.10.tar.gz

 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [-] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: fedora-rawhide-x86_64.cfg
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=2156273
 [-] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass
All tests successful.
Files=1, Tests=3,  0 wallclock secs ( 0.01 usr  0.00 sys +  0.02 cusr  0.01 csys =  0.04 CPU)
Result: PASS

APPROVED.

Comment 3 Iain Arnell 2010-05-03 03:00:41 UTC
New Package CVS Request
=======================
Package Name: perl-Dir-Self
Short Description: A __DIR__ constant for the directory your source file is in
Owners: iarnell
Branches: F-11 F-12 F-13
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-05-04 02:58:16 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-05-04 03:40:15 UTC
perl-Dir-Self-0.10-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Dir-Self-0.10-1.fc12

Comment 6 Fedora Update System 2010-05-04 03:40:20 UTC
perl-Dir-Self-0.10-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Dir-Self-0.10-1.fc11

Comment 7 Fedora Update System 2010-05-04 03:40:25 UTC
perl-Dir-Self-0.10-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Dir-Self-0.10-1.fc13

Comment 8 Fedora Update System 2010-05-04 23:51:38 UTC
perl-Dir-Self-0.10-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Dir-Self'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Dir-Self-0.10-1.fc13

Comment 9 Fedora Update System 2010-05-04 23:52:16 UTC
perl-Dir-Self-0.10-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Dir-Self'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Dir-Self-0.10-1.fc12

Comment 10 Fedora Update System 2010-05-04 23:56:12 UTC
perl-Dir-Self-0.10-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Dir-Self'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Dir-Self-0.10-1.fc11

Comment 11 Fedora Update System 2010-05-19 19:11:28 UTC
perl-Dir-Self-0.10-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-05-19 19:11:55 UTC
perl-Dir-Self-0.10-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-05-19 19:21:50 UTC
perl-Dir-Self-0.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.